@import url("https://fonts.googleapis.com/css2?family=Open+Sans&display=swap");
:root {
  font-size: 16px;
  font-family: "Open Sans", sans-serif;
}

body {
  background-color: #f8edeb;
  padding: 0;
  margin: 0;
}
body::-webkit-scrollbar {
  width: 0.5rem;
}
body::-webkit-scrollbar-track {
  background: #fcd5ce;
}
body::-webkit-scrollbar-thumb {
  background: #ffb5a7;
}

main {
  margin-left: 5rem;
  padding: 0 1rem;
}
main h1:first-of-type {
  margin-top: 0;
}

.nav-bar {
  position: fixed;
  width: 5rem;
  height: 100vh;
  background-color: #342920;
  transition: width 200ms ease;
}
.nav-bar ul {
  list-style: none;
  padding: 0;
  margin: 0;
  height: calc(100vh - 1rem);
  padding: 0.5rem;
  display: flex;
  flex-direction: column;
  align-items: left;
}
.nav-bar ul li .nav-link {
  display: flex;
  flex-flow: column wrap;
  justify-content: center;
  align-items: flex-start;
  height: 5rem;
  text-decoration: none;
  filter: grayscale(100%) opacity(0.4);
  transition: filter 100ms ease;
}
.nav-bar ul li .nav-link:hover {
  filter: grayscale(0%) opacity(1);
}
.nav-bar ul li .nav-link .nav-text {
  margin-left: 1rem;
  font-size: x-large;
  align-self: center;
  color: white;
  display: none;
}
.nav-bar ul li .nav-link svg {
  min-width: 4rem;
  width: 4rem;
  fill: #ffb5a7;
}
.nav-bar ul li .nav-link svg .cls-1 {
  opacity: 0.3;
}
@media screen and (min-width: 600px) {
  .nav-bar:hover {
    width: 16rem;
  }
  .nav-bar:hover .nav-text {
    display: block !important;
  }
  .nav-bar li:last-of-type {
    margin-top: auto;
  }
}

@media screen and (max-width: 600px) {
  main {
    margin-left: 0;
  }
  .nav-bar {
    bottom: 0;
    width: 100vw;
    height: 5rem;
  }
  .nav-bar ul {
    flex-direction: row;
    justify-content: space-around;
  }
  .nav-bar ul .nav-text {
    display: none !important;
  }
  .nav-bar ul .nav-link {
    justify-content: center;
  }
}